
<div id="top_of_dialog">
	<strong>{{ctrl.title}}</strong>
</div>

<div style="margin-top: 15px">

	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted" style="text-align:center; margin-top:5%">Inserimento da file</label>
				</td>
				<td>
					<input class="inputDialog" file-model="excelOpere" id="inputOpera" name="file" type="file" accept=".csv"/>
				</td>
				<td>
					<label>Per la gestione dei Caratteri speciali, assicurasi di Aver salvato il File in Formato UTF-8</label>
				</td>
				<td>
					<button type="button" class="btn addButton pull-right" ng-click="saveOperaExcel()">
						<span class="glyphicon glyphicon-ok"></span>
					</button>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted" style="text-align:center; margin-top:5%">Inserimento da DB SIAE</label>
				</td>
				<td>
					titolo<br><input class="inputDialog" ng-model="titolo1"/><button class="btn addButton pull-right marginRight10px" ng-click="ricercaOpera(titolo1,autore1,codiceOpera1)"><span class="glyphicon glyphicon-search"></span></button><br>
					Compositore, autore o interprete:<br><input class="inputDialog" ng-model="autore1"/><br>
					codice opera <br><input class="inputDialog" ng-model="codiceOpera1"/><br>
				</td>
				<td>
					<!-- Oppure: -->
				</td>
				<td>
					<!-- titolo:&nbsp;<input class="inputDialog" ng-model="titolo2" readonly/> <button class="btn addButton pull-right marginRight10px" ><span class="glyphicon glyphicon-search"></span></button> <br/>
					<!--autore:&nbsp;<input class="inputDialog" ng-model="autore2" readonly/><br/>-->
					<!--compositore:&nbsp;<input class="inputDialog" ng-model="compositore" readonly/>-->
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted" style="text-align:center; margin-top:5%">Inserimento manuale</label>
					<button style="margin-left:40%" class="btn addButton" ng-click="paramsVisible = !paramsVisible"><span ng-class="{'glyphicon glyphicon-menu-up': paramsVisible == true, 'glyphicon glyphicon-menu-down': paramsVisible == false}" ></span></button>
				</td>
				<td ng-show="paramsVisible">
					Codice Opera: <br><input class="inputDialog" ng-model="codiceOpera"/>
				</td>
				<td ng-show="paramsVisible">
					Titolo Composizione*: <br><input class="inputDialog" ng-model="titoloComposizione"/>
				</td>
				<td ng-show="paramsVisible">
					Compositori**: <br><input class="inputDialog" ng-model="compositori"/>
				</td>
				<td ng-show="!paramsVisible"></td>
				<td ng-show="!paramsVisible"></td>
				<td ng-show="!paramsVisible"></td>
			</tr>
			<tr ng-show="paramsVisible">
				<td class="fieldLabel medium">
				</td>
				<td>
					Durata inferiore 30 sec: <br>
					<select style="width:40%" ng-model="durataInferiore30Sec">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
				<td>
					Autori**: <br><input class="inputDialog" ng-model="autori"/>
				</td>
				<td>
					Interpreti**: <br><input class="inputDialog" ng-model="interpreti"/>
				</td>
			</tr>
			<tr ng-show="paramsVisible">
				<td class="fieldLabel medium">
				</td>
				<td>
					Combinazione codifica: <br><input class="inputDialog" ng-model="combinazioneCodifica"/>
				</td>
				<td>
					Flag pubblico dominio: <br>
					<select style="width:40%" ng-model="flagPD">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
				<td>
					Flag mag non concessa: <br>
					<select style="width:40%" ng-model="flagMag">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
			</tr>
			<tr ng-show="paramsVisible">
				<td class="fieldLabel medium">
				</td>
				<td>
					Netto maturato: <br><input class="inputDialog" ng-model="nettoMaturato"/>
				</td>
				<td>Data Prima Codifica: <br>
					<div class="controls">
						<div class="input-append date" id="datepickerPrimaCodifica"
							data-date-format="dd-mm-yyyy">

							<input type="text" name="date"
								ng-model="dataPrimaCodifica"
								style="width: 135px; height: 25px"> <span
								class="add-on" style="height: 25px"><i class="icon-th"></i></span>
						</div>
						<script type="text/javascript">
							$("#datepickerPrimaCodifica")
								.datepicker(
									{
										format : 'dd-mm-yyyy',
										language : 'it',
										viewMode : "days",
										minViewMode : "days",
										orientation : "bottom auto",
										autoclose : "true"
									});
						</script>
					</div>
				</td>
				<td>
					Tipo accertamento: <br><input class="inputDialog" ng-model="tipoAccertamento"/>
				</td>
			</tr>
			<tr ng-show="paramsVisible">
				<td class="fieldLabel medium">
				</td>
				<td>
					Durata (Secondi): <br><input class="inputDialog" ng-model="durata">
				</td>
				<td>
					Flag codifica: <br>
					<select style="width:40%" ng-model="flagCodifica">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
				<td>
					Flag escludi opera: <br>
					<select style="width:40%" ng-model="flagEscludiOpera">
						<option></option>
						<option value="1">Si</option>
						<option value="0">No</option>
					</select>
				</td>
			</tr>
		
		</tbody>
	</table>
</div>

<div class="contents-topscroll noprint">
	<div class="topscroll-div" style="width: 95%">&nbsp;</div>
</div>

<div class="listViewEntriesDiv contents-bottomscroll">
	<div class="listViewActionsDiv row-fluid" ng-show="showRicerca">
		<table class="table table-bordered listViewEntriesTable">
			<thead>
				<tr class="listViewHeaders">
					<th class="blockHeader" colspan="12">Dettagli ricerca opere</th>
				</tr>
				<tr>
					<th style="color:#888888">Codice Opera</th>
					<th style="color:#888888">Titolo Brano</th>
					<th style="color:#888888">Compositori</th>
					<th style="color:#888888">Autori</th>
					<th style="color:#888888">Interprete</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<tr ng-repeat="sampling in samplings.content">
					<td>{{sampling.codiceOpera}}</td>
					<td>{{sampling.titolo}}</td>
					<td>{{sampling.compositori}}</td>
					<td>{{sampling.autori}}</td>
					<td>{{sampling.interprete}}</td>
					<td><button type="button" class="btn addButton pull-right" ng-click="saveOperaSearch(sampling)">
							<span class="glyphicon glyphicon-ok"></span>
						</button>
					</td>
				</tr>
				<tr>
					<label class="muted pull-left marginLeft10px">Cliccando sul pulsante verrà usata l'opera della medesima riga del pulsante</label>
				</tr>
			</tbody>
		</table>
	</div>
</div>

<div style="margin-top: 15px">
	<label class="muted pull-right marginLeft10px">*Obbligatorio<br>**Obbligatorio almeno 1 dei 3</label>
	<table width="100%">
	<tr>
		<td>
			
		</td>
		<td align="left">
			<button type="button" class="btn addButton" ng-click="cancel(ctrl.ngDialogId)">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
			</button>
		</td>
		
		 <td ng-show="paramsVisible" class="pull-right">
			<button ng-hide="buttonVisible(titoloComposizione,compositori,autori,interpreti)" type="button" class="btn addButton" ng-click="saveOperaManuale()">
				<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Conferma</strong>
			</button>
		</td>
		
	</div>
	</tr>
	</table>
</div>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
